Bug 298131 - anaconda fails to start VESA mode with Synaptics
anaconda fails to start VESA mode with Synaptics
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-vesa (Show other bugs)
5.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-20 10:09 EDT by Michal Babej
Modified: 2013-07-31 19:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-08 11:19:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents of /tmp (16.34 KB, application/x-gzip)
2007-09-20 14:07 EDT, Michal Babej
no flags Details
/tmp/ramfs/X.log (54.03 KB, text/plain)
2007-09-20 14:16 EDT, David Cantrell
no flags Details
VESA configuration for Xorg in anaconda - created by me from original XConfig.test (1.28 KB, text/plain)
2007-09-21 09:04 EDT, Michal Babej
no flags Details
X.log from Xorg + vesa + synaptics + anaconda run (ran by me from vt2 during stage 2) (1.05 KB, text/plain)
2007-09-21 09:15 EDT, Michal Babej
no flags Details

  None (edit)
Description Michal Babej 2007-09-20 10:09:59 EDT
Description of problem:
Anaconda fails to start Xorg with native driver then tries to start with VESA
driver and fails again, leading to a text mode/vnc installation.

I've experienced this with IBM T61 and Dell Latitude D630.

I'm not sure if it's an Xorg/vesa driver problem : after text installation, Xorg
with VESA driver works (with default configuration including Synaptics).

I tried to start Xorg with VESA & Synaptics from anaconda (stage2), it
segfaults, after removing Synaptics from config file it starts up.

Version-Release number of selected component (if applicable):
RHEL 5.1 Beta Snapshot 7

How reproducible:
always
Comment 1 James Laska 2007-09-20 10:44:06 EDT
Greetings Michal,

Can you attach logs from the anaconda environment when you experience this issue?

/tmp/anaconda.log /tmp/syslog /tmp/X* /tmp/ramfs/*
Comment 2 Michal Babej 2007-09-20 14:07:31 EDT
Created attachment 201081 [details]
contents of /tmp

you can find more related information + backtrace in bug #296721, first three
attachments
Comment 3 David Cantrell 2007-09-20 14:15:02 EDT
Attaching the X.log file (/tmp/ramfs/X.log).
Comment 4 David Cantrell 2007-09-20 14:16:20 EDT
Created attachment 201101 [details]
/tmp/ramfs/X.log

In the future, just attach the log files directly to the bug report.  It's
easier to look at things that way.  Thanks.
Comment 5 David Cantrell 2007-09-20 14:17:33 EDT
From X.log:


(EE) I810(0): No Video BIOS modes for chosen depth.

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x71) [0x4a0921]
1: /lib64/libc.so.6 [0x2aaaabc2e0a0]
2: /usr/lib64/xorg/modules/drivers/i810_drv.so [0x2aaaadbb89a2]
3: /usr/lib64/xorg/modules/drivers/i810_drv.so [0x2aaaadbbcff8]
4: /usr/bin/Xorg(InitOutput+0x9cc) [0x461c5c]
5: /usr/bin/Xorg(main+0x26f) [0x4323cf]
6: /lib64/libc.so.6(__libc_start_main+0xf4) [0x2aaaabc1b8a4]
7: /usr/bin/Xorg(FontFileCompleteXLFD+0x231) [0x4318a9]

Fatal server error:
Caught signal 11.  Server aborting


Reassigning to xorg-x11 component.
Comment 6 Michal Babej 2007-09-21 05:04:38 EDT
re comment #4:

yep, sorry for that.

re comment #5:
To make it clear - the X.log & XConfig.test from anaconda are while running Xorg
+ *i810*, not vesa. I've filed a separate bug on that one (comment #2), this bug
is on Xorg + *vesa* + anaconda.

After anaconda runs Xorg + i810 and it fails, it tries Xorg + vesa, but
apparently the logs from 2nd Xorg run are not there.

And as i mentioned when i opened this bug, the *same* config file works in
normal installation while it does not work in anaconda stage2 (i got that config
file by replacing "i810" with "vesa" in /tmp/XConfig.test).

The relevant backtrace is here :
https://bugzilla.redhat.com/attachment.cgi?id=199881
Comment 7 Michal Babej 2007-09-21 08:48:49 EDT
so, the issue here is :

Xorg + vesa + Synaptics + installed RHEL 5.1 beta = works
Xorg + vesa + Synaptics + anaconda = FAIL -> text install only
Xorg + vesa + anaconda = works

so i can only guess it's something missing / wrong in stage2.img ?
Comment 8 Michal Babej 2007-09-21 09:04:51 EDT
Created attachment 202041 [details]
VESA configuration for Xorg in anaconda - created by me from original XConfig.test
Comment 9 Michal Babej 2007-09-21 09:15:38 EDT
Created attachment 202071 [details]
X.log from Xorg + vesa + synaptics + anaconda run (ran by me from vt2 during stage 2)
Comment 11 Adam Jackson 2010-12-08 11:19:25 EST
Ancient bug, closing.  The X log here is just X's stdout, not the actual log, so there's really nothing to go on.

Please reopen with the complete X log if this is still an issue in current builds of RHEL5.

Note You need to log in before you can comment on or make changes to this bug.